import request from '@/utils/request'

// 查询期货股票基本信息列表
export function listFutureStocks(query) {
  return request({
    url: '/invest/futureStocks/list',
    method: 'get',
    params: query
  })
}

// 查询期货股票基本信息详细
export function getFutureStocks(id) {
  return request({
    url: '/invest/futureStocks/' + id,
    method: 'get'
  })
}

// 新增期货股票基本信息
export function addFutureStocks(data) {
  return request({
    url: '/invest/futureStocks',
    method: 'post',
    data
  })
}

// 修改期货股票基本信息
export function updateFutureStocks(data) {
  return request({
    url: '/invest/futureStocks',
    method: 'put',
    data
  })
}

// 删除期货股票基本信息
export function delFutureStocks(id) {
  return request({
    url: '/invest/futureStocks/' + id,
    method: 'delete'
  })
}
